<?php

$args = array(
	'post_type' => 'jobs',
	'posts_per_page' => -1,
	'status' => 'publish',
);

$offresEmplois = new WP_Query($args);


if (!function_exists("translateContractType")) {

	function translateContractType($contractType)
	{
		switch ($contractType) {
			case 'CDI, temps plein':
				return __("CDI, temps plein", "homegrade-theme__texte-fonctionnel");
				break;
			case 'Mi-temps':
				return __("Mi-temps", "homegrade-theme__texte-fonctionnel");
				break;
			case 'CDI, 4/5e':
				return __("CDI, 4/5e", "homegrade-theme__texte-fonctionnel");
				break;
		}
	}
}
?>

<section <?php echo get_block_wrapper_attributes(["class" => "homegrade-blocks-offres-emplois"]); ?>>
	<?php if (!$offresEmplois->have_posts()) : ?>
		<p><?php echo __("Il n’y a pas de poste à pourvoir en ce moment.", "homegrade-theme__texte-fonctionnel") ?></p>
	<?php endif; ?>
	<?php if ($offresEmplois->have_posts()) : ?>
		<ul class="homegrade-blocks-offres-emplois__offres-grid-datas">

			<div class="table_head" aria-hidden="true">
				<p><?php echo __("Poste", "homegrade-blocks") ?></p>
				<p><?php echo __("Offre", "homegrade-blocks") ?></p>
			</div>
			<?php foreach ($offresEmplois->posts as $offre) : ?>
				<?php
				$contractType = get_field("contract_type", $offre->ID) ?  get_field("contract_type", $offre->ID)['label'] : null;
				$offrePermalink = get_the_permalink($offre->ID);
				get_the_content($offre->ID);

				?>
				<li class="homegrade-blocks-offres-emplois__offre">
					<p class="homegrade-blocks-offres-emplois__offre-title"><a href="<?php echo $offrePermalink ?>"><?php echo $offre->post_title ?></a></p>
					<p class="homegrade-blocks-offres-emplois__offre-type"><?php echo translateContractType($contractType) ?></p>
					<a class="homegrade-blocks-offres-emplois__offre-download cta cta--secondary cta--button" href="<?php echo $offrePermalink ?>"><?php echo __("Consulter l'offre", "homegrade-blocks") ?></a>

				</li>
			<?php endforeach; ?>
		</ul>
	<?php endif; ?>

</section>